#include <iostream>
#include <math.h>

using namespace std;

int main()
{
    int a,b,c;
    cin>>a>>b>>c;
    
    int a_duzina=trunc(log10(a))+1;
    int b_duzina=trunc(log10(b))+1;
    int c_duzina=trunc(log10(c))+1;
    
    int i=1,prvi=0,drugi=0,treci=0;
    
    while(a/pow(10,i)>0 || b/pow(10,i)>0 || c/pow(10,i)>0)
    {
       int a2=a/pow(10,a_duzina-i);
       int b2=b/pow(10,b_duzina-i);
       int c2=c/pow(10,c_duzina-i);
        if(a2>b2)
        {
            drugi=a*pow(10,b_duzina);
            treci=b;
            if(a2>c2)
            {
                prvi=drugi*pow(10,c_duzina);
                drugi=0;
                if(b2>c2)
                {
                    drugi=b*pow(10,c_duzina);
                    treci=c;
                }
                else
                {
                    drugi=c*pow(10,b_duzina);
                    treci=b;
                }
            }
            else
            {
               prvi=c*pow(10,a_duzina+b_duzina);
            }
        }
        else
        {
            drugi=b*pow(10,a_duzina);
            treci=a;
            if(b2>c2)
            {
                prvi=drugi*pow(10,c_duzina);
                drugi=0;
                if(a2>c2)
                {
                    drugi=a*pow(10,c_duzina);
                    treci=c;
                }
                else
                {
                    drugi=c*pow(10,a_duzina);
                    treci=a;
                }
            }
            else
            {
                prvi=c*pow(10,a_duzina+b_duzina);
            }
        }
    }
    
    int broj=0;
    broj=prvi+drugi+treci;
    cout<<broj;
    
}